## r-bioc-pwalign 1.0.0

=== DESCRIPTION ===
Package: pwalign
Title: Perform pairwise sequence alignments
Description: The two main functions in the package are pairwiseAlignment() and
	stringDist(). The former solves (Needleman-Wunsch) global alignment,
	(Smith-Waterman) local alignment, and (ends-free) overlap alignment
	problems. The latter computes the Levenshtein edit distance or pairwise
	alignment score matrix for a set of strings.
biocViews: Alignment, SequenceMatching, Sequencing, Genetics
URL: https://bioconductor.org/packages/pwalign
BugReports: https://github.com/Bioconductor/pwalign/issues
Version: 1.0.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Patrick", "Aboyoun", role="aut"),
	person("Robert", "Gentleman", role="aut"),
	person("Hervé", "Pagès", role="cre",
	       email="hpages.on.github@gmail.com"))
Depends: BiocGenerics, S4Vectors, IRanges, Biostrings (>= 2.71.5)
Imports: methods, utils
LinkingTo: S4Vectors, IRanges, XVector, Biostrings
Enhances: Rmpi
Suggests: RUnit
Collate: 00datacache.R utils.R InDel-class.R AlignedXStringSet-class.R
        PairwiseAlignments-class.R
        PairwiseAlignmentsSingleSubject-class.R PairwiseAlignments-io.R
        align-utils.R pid.R substitution_matrices.R pairwiseAlignment.R
        stringDist.R zzz.R
git_url: https://git.bioconductor.org/packages/pwalign
git_branch: RELEASE_3_19
git_last_commit: d161c8d
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: yes
Packaged: 2024-05-01 05:26:32 UTC; biocbuild
Author: Patrick Aboyoun [aut],
  Robert Gentleman [aut],
  Hervé Pagès [cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-pwalign (1.0.0-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:47:01 +0200

r-bioc-pwalign (1.0.0-2~0exp2) experimental; urgency=medium

  * d/watch: add working watch file
  * d/control: remove extra r-base-dev, put unmanaged dependency at the
    end of the list for dh-update-R

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:30:08 +0200

r-bioc-pwalign (1.0.0-2~0exp1) experimental; urgency=medium

  * d/control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:32:23 +0200

r-bioc-pwalign (1.0.0-2~0exp0) experimental; urgency=medium

  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 14:10:09 +0200

r-bioc-pwalign (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #1076039)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:09:10 +0200

=== debian/control ===
Source: r-bioc-pwalign
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pwalign
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pwalign.git
Homepage: https://bioconductor.org/packages/pwalign
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-xvector (>= 0.44.0),
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-pwalign
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-xvector (>= 0.44.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Perform pairwise sequence alignments
 The two main functions in the package are pairwiseAlignment() and
 stringDist(). The former solves (Needleman-Wunsch) global alignment,
 (Smith-Waterman) local alignment, and (ends-free) overlap alignment
 problems. The latter computes the Levenshtein edit distance or pairwise
 alignment score matrix for a set of strings.

## r-bioc-pwalign 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
 biocViews: Alignment, SequenceMatching, Sequencing, Genetics
 URL: https://bioconductor.org/packages/pwalign
 BugReports: https://github.com/Bioconductor/pwalign/issues
-Version: 1.0.0
+Version: 1.2.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -27,13 +27,13 @@
         align-utils.R pid.R substitution_matrices.R pairwiseAlignment.R
         stringDist.R zzz.R
 git_url: https://git.bioconductor.org/packages/pwalign
-git_branch: RELEASE_3_19
-git_last_commit: d161c8d
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 9d0fa61
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:26:32 UTC; biocbuild
+Packaged: 2024-10-30 02:16:39 UTC; biocbuild
 Author: Patrick Aboyoun [aut],
   Robert Gentleman [aut],
   Hervé Pagès [cre]

=== debian/changelog ===
r-bioc-pwalign (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Stop incorrectly using unlist, for R 4.5 compatibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Apr 2025 08:59:44 +0100

r-bioc-pwalign (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:20:33 +0100

r-bioc-pwalign (1.2.0-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Add upstream metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 12:06:43 +0100

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/pwalign.html .*/pwalign_(.*).tar.gz
